Elder Balanki:
Our guild specializes in trade between the different races. We are experts in trade and diplomacy. While other races go to war for honor and political gain, our guild sees profit as a path to power. Our guild does not trade trivial daily necessities! We only deal with gold, silver, jewelry,accessories, and precious magic items.
Our customers are the aristocracy and powerful families from many kingdoms. Doing business with them is not only for profit, we also keep watch on their affairs. We never know when some greedy outsider will get a notion to invade and try to take our property. To prevent this, we keep watch, and raise money to train armies or hire soldiers, if necessary, to protect our wealth and peace.
Return